[packages/rpm-build-tools/merge-pld-builder-client: 29/2675] - -C/--config-file command line option

glen glen at pld-linux.org
Mon Dec 19 21:51:23 CET 2016


commit 085c7846e07cc61a5c3f24062ac7a32432b0b70e
Author: Adam Gołębiowski <adamg at pld-linux.org>
Date:   Tue Jul 24 17:41:07 2007 +0000

    - -C/--config-file command line option
    
    Changed files:
        client/make-request.sh -> 1.28

 make-request.sh | 7 +++++++
 1 file changed, 7 insertions(+)
---
diff --git a/make-request.sh b/make-request.sh
index aacd338..5cd29e6 100644
--- a/make-request.sh
+++ b/make-request.sh
@@ -42,6 +42,9 @@ usage() {
   echo "Usage: make-request.sh [OPTION] ... [SPECFILE] ...."
   echo ""
   echo "Mandatory arguments to long options are mandatory for short options too."
+  echo "  -C  --config-file /path/to/config/file"
+  echo "       Source additional config file (after $USER_CFG), useful when"
+  echo "       when sending build requests to Ac/Th from the same account"
   echo "  -b 'BUILDER BUILDER ...'  --builder='BUILDER BUILDER ...'"
   echo "       Sends request to given builders"
   echo "  --with VALUE --without VALUE"
@@ -73,6 +76,10 @@ usage() {
 
 while [ $# -gt 0 ] ; do
   case "$1" in
+    --config-file | -C )
+      [ -f $2 ] && . $2 || die "Config file not found"
+      shift
+      ;;
     --builder | -b )
       builders="$builders $2"
       shift
================================================================

---- gitweb:

http://git.pld-linux.org/gitweb.cgi/packages/rpm-build-tools.git/commitdiff/cca6584b96e6c33d0732d559e43e100d804e2ecd



More information about the pld-cvs-commit mailing list